Problems installing current trunk on Ubuntu 8.04 - Object is not missing constant Project

Added by Little Pug over 4 years ago

Hello,

I tried to install the current trunk(r3085) on an Ubuntu 8.04 Server.
However when I try to create the database structure (step 5 of the install guide in the wiki)
using "RAILS_ENV=production rake db:migrate" I always get the following error:

root@testbox:/var/www/rails_apps/test# RAILS_ENV=production rake db:migrate
(in /var/www/rails_apps/test)
rake aborted!
Object is not missing constant Project!

(See full trace by running task with --trace)
root@testbox:/var/www/rails_apps/test#

What am I missing?
I double checked everything multiple times, and I have no idea where the problem might be...

Attached you will find the --trace output and other details of the installation (attempt)

Regards
Pug

redmine_install_details_20091124_1655.txt Magnifier - traces and details and versions (17.3 KB)

Replies (4)

RE: Problems installing current trunk on Ubuntu 8.04 - Object is not missing constant Project - Added by Davy Wavy over 4 years ago

I too had the same problem when trying to install trunk on Mac OS X 10.5 Server so instead decided to install version 0.8.7

During the 0.8.7 database migration I got the following error when I typed RAILS_ENV=production rake db:migrate

uninitialized constant ActiveRecord::ConnectionAdapters::PostgreSQLAdapter::PGconn

I found a thread http://www.ruby-forum.com/topic/197921 that solved the PGConn error by adding the following line to the config/environment.rb file and then ensuring the postgres gem is installed.

config.gem "postgres" 

Finally I returned to the trunk installation, repeated the change to the config/environment.rb file and re-tried RAILS_ENV=production rake db:migrate.

Everything worked so maybe the above advice will solve your problem too.

RE: Problems installing current trunk on Ubuntu 8.04 - Object is not missing constant Project - Added by Little Pug over 4 years ago

Thanks, works fine now.

Adding config.gem "postgres" to config/environment.rb was a good hint.
Looks like the postgres gem was missing or corrupt.

The following commands fixed this in ubuntu 8.04

sudo apt-get install libpq-dev
sudo gem install postgres

RE: Problems installing current trunk on Ubuntu 8.04 - Object is not missing constant Project - Added by Michael Burton over 4 years ago

I have the same problem on a Windows XP box trying to upgrade 0.7.3 to 0.9 on Postgres 0.8.3. I tried several different Postgres gems, including postgres-pr and ruby-postgres, which seem to be the most common recommendations. The postgres gem wouldn't install at all, presumably because it requires some extra configuration of which I'm not aware. The messing around required to fix individual problems with all of this stuff broke original working configuration.

So for the moment we've reverted to 0.7.3, but I'd like to eventually get updated to a newer version. If anyone pinpoints the exact issue, I'd love to know about it.

RE: Problems installing current trunk on Ubuntu 8.04 - Object is not missing constant Project - Added by Mauro Toffanin over 4 years ago

I can confirm that Redmine 0.9.1 is working also with gem "pg":

gem install pg
config.gem "pg"

"pg" gem is prefereable to "postgres" as it's more update, quicker and consume a lot less memory.

(1-4/4)